## `<w-alert>` API

Unless otherwise noted all properties are HTML attributes (as opposed to JavaScript object properties).

### Properties

| Name | Type | Default | Summary |
|-|-|-|-|
| role | `string` | `"alert"` | ARIA role announced to assistive technology. |
| show | `boolean` | `false` | Whether the alert is visible. |
| variant | [`AlertVariants`](#alertvariants) | `"info"` | Visual style of the alert. |

### Property Details

#### role



- Type: `string`
- Default: `"alert"`

#### show



- Type: `boolean`
- Default: `false`

#### variant



- Type: [`AlertVariants`](#alertvariants)
- Default: `"info"`

### Types

#### AlertVariants

`'negative' | 'positive' | 'warning' | 'info'`

